
# -*- coding: utf-8 -*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# outil pour la gestion des groupes de machine
#
###########################################################################
from amon.ipset.config import ipset
from os.path import isfile
interface_pedago = 'eth2'

def config_pedago(ip, interface):
    """ configure l'ip de l'interface associée au sous-réseau pédagogique """
    cf = file(interface_pedago, 'w')
    cf.write('%s#%s'%(ip,interface))
    cf.close()
    return True

def get_pedago():
    """ renvoie l'ip et l'interface du réseau pédagogique """
    if isfile(interface_pedago):
        a = file(interface_pedago).read().splitlines()
        if len(a)>0:
            a = a[0]
            if len(a.split('#')) > 1:
                return a.split('#')
    return None, None
